<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>FbBlob.SeekMode (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbBlob.SeekMode (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbBlob.SeekMode.html" target="_top">Frames</a></li>
<li><a href="FbBlob.SeekMode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Enum FbBlob.SeekMode" class="title">Enum FbBlob.SeekMode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.FbBlob.SeekMode</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">FbBlob.SeekMode</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>&gt;</pre>
<div class="block">Seek mode for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#seek-int-org.firebirdsql.gds.ng.FbBlob.SeekMode-"><code>FbBlob.seek(int, org.firebirdsql.gds.ng.FbBlob.SeekMode)</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#ABSOLUTE">ABSOLUTE</a></span></code>
<div class="block">Absolute seek from start of blob.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#ABSOLUTE_FROM_END">ABSOLUTE_FROM_END</a></span></code>
<div class="block">Absolute seek from end of blob.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#RELATIVE">RELATIVE</a></span></code>
<div class="block">Relative seek from current position in blob.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#getById-int-">getById</a></span>(int&nbsp;seekModeId)</code>
<div class="block">Get the SeekMode instance by the (Firebird) seekmode id.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#getSeekModeId--">getSeekModeId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="ABSOLUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ABSOLUTE</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a> ABSOLUTE</pre>
<div class="block">Absolute seek from start of blob.</div>
</li>
</ul>
<a name="RELATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RELATIVE</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a> RELATIVE</pre>
<div class="block">Relative seek from current position in blob.</div>
</li>
</ul>
<a name="ABSOLUTE_FROM_END">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ABSOLUTE_FROM_END</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a> ABSOLUTE_FROM_END</pre>
<div class="block">Absolute seek from end of blob.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (FbBlob.SeekMode c : FbBlob.SeekMode.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getSeekModeId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSeekModeId</h4>
<pre>public&nbsp;int&nbsp;getSeekModeId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Seek mode value used within Firebird (and the native API, wire protocol)</dd>
</dl>
</li>
</ul>
<a name="getById-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getById</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a>&nbsp;getById(int&nbsp;seekModeId)</pre>
<div class="block">Get the SeekMode instance by the (Firebird) seekmode id.
 <p>
 Valid values are:
 <ul>
 <li><code>0</code> - for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#ABSOLUTE"><code>ABSOLUTE</code></a></li>
 <li><code>1</code> - for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#RELATIVE"><code>RELATIVE</code></a></li>
 <li><code>2</code> - for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html#ABSOLUTE_FROM_END"><code>ABSOLUTE_FROM_END</code></a></li>
 </ul>
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>seekModeId</code> - The seekmode id.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of SeekMode matching the id.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - For values that do not have a SeekMode instance.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbBlob.SeekMode.html" target="_top">Frames</a></li>
<li><a href="FbBlob.SeekMode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
